GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
gdcm::SegmentedPaletteColorLookupTable Class Reference

SegmentedPaletteColorLookupTable class. More...

`#include <gdcmSegmentedPaletteColorLookupTable.h>`

Inheritance diagram for gdcm::SegmentedPaletteColorLookupTable:
[legend]
Collaboration diagram for gdcm::SegmentedPaletteColorLookupTable:
[legend]

List of all members.

## Public Member Functions

| SegmentedPaletteColorLookupTable ()
| ~SegmentedPaletteColorLookupTable ()
void | Print (std::ostream &) const
void | SetLUT (LookupTableType type, const unsigned char *array, unsigned int length)
| Initialize a SegmentedPaletteColorLookupTable.

## Detailed Description

SegmentedPaletteColorLookupTable class.

## Constructor & Destructor Documentation

gdcm::SegmentedPaletteColorLookupTable::SegmentedPaletteColorLookupTable | ( |  | ) |

gdcm::SegmentedPaletteColorLookupTable::~SegmentedPaletteColorLookupTable | ( |  | ) |

## Member Function Documentation

void gdcm::SegmentedPaletteColorLookupTable::Print | ( | std::ostream & |  | ) | const`[inline, virtual]`

Reimplemented from gdcm::LookupTable.

void gdcm::SegmentedPaletteColorLookupTable::SetLUT | ( | LookupTableType | type,
|  | const unsigned char * | array,
|  | unsigned int | length
| ) |  | `[virtual]`

Initialize a SegmentedPaletteColorLookupTable.

Reimplemented from gdcm::LookupTable.

The documentation for this class was generated from the following file:

- gdcmSegmentedPaletteColorLookupTable.h